geos::io::ByteOrderValues Class Reference

Methods to read and write primitive datatypes from/to byte sequences, allowing the byte order to be specified. More...

`#include <ByteOrderValues.h>`

## Public Types

enum | EndianType { ENDIAN_BIG = 0 , ENDIAN_LITTLE = 1 }

## Static Public Member Functions

static int32_t | getInt (const unsigned char *buf, int byteOrder)
static void | putInt (int32_t intValue, unsigned char *buf, int byteOrder)
static uint32_t | getUnsigned (const unsigned char *buf, int byteOrder)
static void | putUnsigned (uint32_t intValue, unsigned char *buf, int byteOrder)
static int64_t | getLong (const unsigned char *buf, int byteOrder)
static void | putLong (int64_t longValue, unsigned char *buf, int byteOrder)
static double | getDouble (const unsigned char *buf, int byteOrder)
static void | putDouble (double doubleValue, unsigned char *buf, int byteOrder)

## Detailed Description

Methods to read and write primitive datatypes from/to byte sequences, allowing the byte order to be specified.

Similar to the standard Java `ByteBuffer` class.

The documentation for this class was generated from the following file:

- ByteOrderValues.h